apiVersion: v1
kind: Namespace
metadata:
  name: demoagent-production
---
apiVersion: v1
kind: ServiceAccount
metadata:
  name: hello-world
  namespace: demoagent-production

---

apiVersion: apps/v1
kind: Deployment
metadata:
  name: hello-world
  namespace: demoagent-production
spec:
  selector:
    matchLabels:
      app: hello-world
  template:
    metadata:
      labels:
        app: hello-world
    spec:
      containers:
      - image: registry.gitlab.com/gitlab-kr/demosamples/con/demo/hello-world-service-gitops/hello-world:bda94bb7
        imagePullPolicy: Always
        livenessProbe:
          failureThreshold: 10
          httpGet:
            path: /
            port: 5000
          initialDelaySeconds: 5
          periodSeconds: 10
          successThreshold: 1
        name: hello-world
        ports:
        - containerPort: 5000
        resources: {}
        securityContext:
          allowPrivilegeEscalation: false
          capabilities:
            drop:
            - ALL
          privileged: false
          readOnlyRootFilesystem: true
      imagePullSecrets:
      - name: gitlab-credentials
      securityContext: {}
      serviceAccountName: hello-world
